function Create(self)
	self.LifeTime = Timer()
	
	if self.Sharpness > -1 then
		self.Target = MovableMan:GetMOFromID(self.Sharpness)
	end
end

function Update(self)
	if self.LifeTime:IsPastSimMS(500) then	-- The rocket burn for 0.5s
		self.ToDelete = true
		self.HitsMOs = false
		self.GetsHitByMOs = false

		-- Create the armed rocket
		local Missile = CreateAEmitter(self.PresetName, "Independent.rte")
		if self.Target and MovableMan:ValidMO(self.Target) and self.Target.PresetName ~= "Entity" then
			Missile.Sharpness = self.Target.ID
		end
		
		Missile.Vel = self.Vel
		Missile.RotAngle = self.RotAngle
		Missile.Pos = self.Pos
		--Missile:ReloadScripts()	-- Debug
		MovableMan:AddParticle(Missile)
	else
		self.Vel = self.Vel + Vector(0.8,0):RadRotate(self.RotAngle)	-- Fake PushesEmitter
		self.RotAngle = self.RotAngle*0.7 + self.Vel.AbsRadAngle*0.3	-- Fake OrientToVel
		self.Vel = self.Vel + Vector(0,0.2)	-- Fake gravity
	end
end